Resolido Docs
Knowledge

Unassign knowledge

DELETE
/agents/{agentId}/knowledge-sources/{sourceId}

Stop an agent from using a knowledge source (the source is kept). Owner/admin.

Authorization

bearer agents:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: agents:write

Path Parameters

agentId*string

AI agent id. Never invent ids – list resources first.

Length1 <= length <= 64
sourceId*string

Knowledge source id. Never invent ids – list resources first.

Length1 <= length <= 64

Response Body

Success

application/json
  1. response
agentId*string
sourceId*string
assigned*boolean
curl -X DELETE "https://example.com/agents/string/knowledge-sources/string"
{  "agentId": "string",  "sourceId": "string",  "assigned": true}